import 'package:f/emulators.dart';
import 'package:f/f.dart';

main(List<String> args) async {
  if (args.isNotEmpty) {
    final cmd = args.first;

    switch (cmd) {
      case "c":
        await create(args);
        return;
      case "a":
        await analyze(args);
        return;
      case "as":
        await assemble(args);
        return;
      case "at":
        await attach(args);
        return;
      case "b":
        await build(args);
        return;
      case "bs":
        await buildSplitPerAbi(args);
        return;
      case "ch":
        await channel(args);
        return;
      case "dev":
        await devices(args);
        return;
      case "doc":
        await doctor();
        return;
      case "down":
        await downgrade();
        return;
      case "drv":
        await drive();
        return;
      case "e":
        await emulators();
        return;
      case "f":
        await format(args);
        return;
      case "i":
        await install(args);
        return;
      case "l":
        await logs();
        return;
      case "r":
        await run(args);
        return;
      case "rp":
        await runProfile(args);
        return;
      case "rr":
        await runRelease(args);
        return;
      case "t":
        await test(args);
        return;
      case "up":
        await upgrade();
        return;
    }
  }

  _error();
}

void _error() {
  print('Please use a correct f command');
  print('');
}
